function A0 = convertFrame1to0(A1)

% convert a transformation matrix from frame 1 in TrackingTool to frame 0
%, i.e., our conventional frame.
% This function deals with data coming from TackingTool API, which is 
% expected to use the left-handed coordinate system
%
% INPUT:   A1: the transformation matrix in frame 1
% OUTPUT:  A0: the transformation matrix in frame 1
%
% Yongqiang Huang
% 11/10/2015


R0to1 = [ 1             0             0        ;
          0             cos(pi/2)    -sin(pi/2);
          0             sin(pi/2)    cos(pi/2)];


A0to1 = [R0to1          zeros(3, 1);
         zeros(1, 3)    1          ];
     
A0 = A0to1 * A1 * A0to1';



end