% draw airplane
% 

clear; clc; close all hidden;


% body surface, 
b = zeros(4, 2);
b(1, :) = [0, 0];
b(2, :) = [10, 0];
b(3, :) = [10, 100];
b(4, :) = [0, 100];
b = [b, zeros(4, 1)]; % adds the z-axis

% left wing (seen from the top)
l = zeros(4, 2);
l(1, :) = [-40, 40];
l(2, :) = [0, 60];
l(3, :) = [0, 70];
l(4, :) = [-40, 50];
l = [l, zeros(4, 1)]; 

% right wing (seen from the top)
r = zeros(4, 2);
r(1, :) = [10, 60];
r(2, :) = [50, 40];
r(3, :) = [50, 50];
r(4, :) = [10, 70];
r = [r, zeros(4, 1)];

% tail, uses the z-axis
t = zeros(4, 3);
t(1, :) = [5, 10, 0];
t(2, :) = [5, 0, 0];
t(3, :) = [5, -10, 20];
t(4, :) = [5, 0, 20];

% spine 
s = zeros(4, 3);
s(1, :) = [5, 100, 0];
s(2, :) = [5, 10, 0];
s(3, :) = [5, 7, 6];
s(4, :) = [5, 97, 6];

% left wing tip (seen from the left)
p = zeros(4, 3);
p(1, :) = [-40, 50, 0];
p(2, :) = [-40, 40, 0];
p(3, :) = [-40, 37, 6];
p(4, :) = [-40, 47, 6];

% right wing tip (seen from the left)
q = zeros(4, 3);
q(1, :) = [50, 50, 0];
q(2, :) = [50, 40, 0];
q(3, :) = [50, 37, 6];
q(4, :) = [50, 47, 6];




%% draw patch separately
% close all;
% figure;
% 
% patch(b(:, 1), b(:, 2), b(:, 3), 'r');
% patch(l(:, 1), l(:, 2), l(:, 3), 'g');
% patch(r(:, 1), r(:, 2), r(:, 3), 'g');
% patch(t(:, 1), t(:, 2), t(:, 3), 'b');
% patch(s(:, 1), s(:, 2), s(:, 3), 'c');
% patch(p(:, 1), p(:, 2), p(:, 3), 'c');
% patch(q(:, 1), q(:, 2), q(:, 3), 'c');
% 
% axis equal;


%% draw using patch struct

vertices = [0, 0, 0; 
            10, 0, 0;
            10, 100, 0;
            0, 100, 0;
            5, 100, 0;
            5, 10, 0;
            5, 9, 2;
            5, 99, 2;
            5, 0, 0;
            5, -10, 20;
            5, 0, 20];
        
faces = [1, 2, 3, 4; 
         5, 6, 7, 8;
         6, 9, 10, 11];
     
colors = [0, 0, 1;
          0, 1, 0;
          1, 0, 0];
      
     
patches.Vertices = vertices;
patches.Faces = faces;
patches.FaceVertexCData = rand(3, 3);

patch(patches, 'FaceColor', 'flat');













