% draw_plane_2 
% uses Faces, Vertices, and FaceVertexCData to draw patch

clc; clear; close all hidden;

vertices = zeros(23, 3);
vertices(1, :)  = [0, 100, 0];
vertices(2, :)  = [0, 0, 0];
vertices(3, :)  = [10, 0, 0];
vertices(4, :)  = [10, 100, 0];
vertices(5, :)  = [5, 100, 0];
vertices(6, :)  = [5, 10, 0];
vertices(7, :)  = [5, 7, 6];
vertices(8, :)  = [5, 97, 6];
vertices(9, :)  = [5, 0, 0];
vertices(10, :) = [5, -10, 20];
vertices(11, :) = [5, 0, 20];
vertices(12, :) = [-40, 50, 0];
vertices(13, :) = [-40, 40, 0];
vertices(14, :) = [0, 60, 0];
vertices(15, :) = [0, 70, 0];
vertices(16, :) = [-40, 37, 6];
vertices(17, :) = [-40, 47, 6];
vertices(18, :) = [10, 70, 0];
vertices(19, :) = [10, 60, 0];
vertices(20, :) = [50, 40, 0];
vertices(21, :) = [50, 50, 0];
vertices(22, :) = [50, 37, 6];
vertices(23, :) = [50, 47, 6];

% move the patches to the origin
d = repmat([5, 50], 23, 1);
vertices(:, 1:2) = vertices(:, 1:2) - d;


faces = zeros(7, 4);
faces(1, :) = [1, 2, 3, 4]; 
faces(2, :) = [5, 6, 7, 8];
faces(3, :) = [6, 9, 10, 11];
faces(4, :) = [12, 13, 14, 15];
faces(5, :) = [12, 13, 16, 17];
faces(6, :) = [18, 19, 20, 21];
faces(7, :) = [21, 20, 22, 23];

colors = rand(7, 3);

patches.Vertices = vertices;
patches.Faces = faces;
patches.FaceVertexCData = colors;
patches.FaceColor = 'flat';

figure;

patch(patches);
axis equal;

theta_1 = 0.5; 
theta_2 = 1; 
theta_3 = 1.5;
R1 = [1, 0, 0; 
      0, cos(theta_1), -sin(theta_1);
      0 sin(theta_1), cos(theta_1)];
  
R2 = [cos(theta_2), 0, sin(theta_2);
      0, 1, 0;
      -sin(theta_2), 0, cos(theta_2)];

R3 = [cos(theta_3), -sin(theta_3), 0;
      sin(theta_3), cos(theta_3), 0;
      0, 0, 1];
  
R = R1 * R2 * R3;

vertices = (R * (vertices'))';
patches.Vertices = vertices;

hold on;

patch(patches);
axis equal;

         