function airplane = export_airplane()
% export the properties of patches that looks like a plane
% 'p_airplane': p for property
% color is randomly assigned
%
% 05/03/2016

vertices = zeros(23, 3);
vertices(1, :)  = [0, 100, 0];
vertices(2, :)  = [0, 0, 0];
vertices(3, :)  = [10, 0, 0];
vertices(4, :)  = [10, 100, 0];
vertices(5, :)  = [5, 100, 0];
vertices(6, :)  = [5, 10, 0];
vertices(7, :)  = [5, 7, 6];
vertices(8, :)  = [5, 97, 6];
vertices(9, :)  = [5, 0, 0];
vertices(10, :) = [5, -10, 20];
vertices(11, :) = [5, 0, 20];
vertices(12, :) = [-40, 50, 0];
vertices(13, :) = [-40, 40, 0];
vertices(14, :) = [0, 60, 0];
vertices(15, :) = [0, 70, 0];
vertices(16, :) = [-40, 37, 6];
vertices(17, :) = [-40, 47, 6];
vertices(18, :) = [10, 70, 0];
vertices(19, :) = [10, 60, 0];
vertices(20, :) = [50, 40, 0];
vertices(21, :) = [50, 50, 0];
vertices(22, :) = [50, 37, 6];
vertices(23, :) = [50, 47, 6];

% move the patches to the origin
d = repmat([5, 50], 23, 1);
vertices(:, 1:2) = vertices(:, 1:2) - d;

% scale down the airplane, scale is determined through experimentation
scale = 0.001;
vertices = vertices * scale; 


faces = zeros(7, 4);
faces(1, :) = [1, 2, 3, 4]; 
faces(2, :) = [5, 6, 7, 8];
faces(3, :) = [6, 9, 10, 11];
faces(4, :) = [12, 13, 14, 15];
faces(5, :) = [12, 13, 16, 17];
faces(6, :) = [18, 19, 20, 21];
faces(7, :) = [21, 20, 22, 23];

colors = rand(7, 3);

airplane.Vertices         = vertices;
airplane.Faces            = faces;
airplane.FaceVertexCData  = colors;
airplane.FaceColor        = 'flat';

end