function R = euler2rotm(euler)
% assume euler = [phi, theta, psi]
% see function rotm2euler()

phi   = euler(1);
theta = euler(2);
psi   = euler(3);

r11 = cos(theta) * cos(phi);
r12 = sin(psi) * sin(theta) * cos(phi) - cos(psi) * sin(phi);
r13 = cos(psi) * sin(theta) * cos(phi) + sin(psi) * sin(phi);

r21 = cos(theta) * sin(phi);
r22 = sin(psi) * sin(theta) * sin(phi) + cos(psi) * cos(phi);
r23 = cos(psi) * sin(theta) * sin(phi) - sin(psi) * cos(phi);

r31 = -sin(theta);
r32 = sin(psi) * cos(theta);
r33 = cos(psi) * cos(theta);

R = [r11, r12, r13;
     r21, r22, r23;
     r31, r32, r33];

end