function axesdata = initialize_axes_airplane(axes_handle, axesdata)
% derived from initialize_axes_2_patch()
% difference: draw coordinate system using airplanes rather than arrows
% 
% 05/03/2016

cla(axes_handle); % clear axis 
hold(axes_handle, 'on');
grid(axes_handle, 'on');
axis(axes_handle, 'equal');
xlabel(axes_handle, 'x');
ylabel(axes_handle, 'y');
zlabel(axes_handle, 'z');


% plot the first frame
for i = 1:axesdata.ntrackable
    
    % get the data for the first frame
    A0 = axesdata.A0{i}{1};
    
    % get current position
    x = A0(1, 4);
    y = A0(2, 4);
    z = A0(3, 4);
    
    % display the position
    axesdata.hpos_axes{i}           = plot3(axes_handle, x, y, z);
    axesdata.hpos_axes{i}.Marker    = '.';
    axesdata.hpos_axes{i}.LineStyle = 'none';

    
    % get current rotation 
    R = A0(1:3, 1:3);
    vertices = (R * (axesdata.airplane{i}.Vertices'))';
    
    % translation
    d = [x, y, z];
    d_matrix = repmat(d, 23, 1);
    vertices = vertices + d_matrix;
    
    % create local struct for patches
    airplane_property = axesdata.airplane{i};
    airplane_property.Vertices = vertices;
    
    % display the patch, i.e. the airplane
    axesdata.hpatch_axes{i} = patch(airplane_property);
    
    % display the text
    axesdata.htext_axes{i} = text(x, y, z, num2str(i), 'FontSize', 20, ...
        'FontWeight', 'bold', 'Color', 'magenta');
         
end % for i = 1:ntrackable


end