function axesdata = modify_axesdata(axesdata, direction_string)

% modifies axesdata when switch from using arrows to using airplanes for
% representing coordinate frames. Or back.
% direction_string is either 'arrow2airplane' or 'airplane2arrow'.

switch direction_string
    case 'arrow2airplane'
        
        axesdata.airplane    = cell(1, axesdata.ntrackable);
        axesdata.hpatch_axes = cell(1, axesdata.ntrackable);
        
        % compute the airplane patch
        for i = 1:axesdata.ntrackable
            axesdata.airplane{i} = export_airplane();
        end
        
    case 'airplane2arrow'
        axesdata.hpos_axes   = cell(1, axesdata.ntrackable);
        axesdata.harrow_axes = cell(3, axesdata.ntrackable);
        axesdata.htext_axes  = cell(3, axesdata.ntrackable);
        axesdata.xbasis      = 0.1 * [1 0 0]';
        axesdata.ybasis      = 0.1 * [0 1 0]';
        axesdata.zbasis      = 0.1 * [0 0 1]';
        
    otherwise
        error('direction\_string must be either arrow2airplane or airplane2arrow');

end