% for IROS2016
% find euler angles from rotation matrix
%
% reference: "Computing Euler Angles from a Rotation Matrix, Greg Slabaugh, August 20, 1999."


% function [sol_1, sol_2, sol_degenerate] = rotm2euler(R)
function [sol_1, sol_2] = rotm2euler(R)

% phi: about z
% theta: about y
% psi: about x
% R = R_z * R_y * R_x

% sol_1 is when theta is unaltered
% sol_2 is when theta is subtracted from pi
% sol_degenerate is when cos(theta) equals 0 (NOT IMPLEMENTED YET)

theta = -asin(R(3, 1));
sign_cos = sign(cos(theta));
psi = atan2(R(3, 2) * sign_cos, R(3, 3) * sign_cos);
phi = atan2(R(2, 1) * sign_cos, R(1, 1) * sign_cos);
sol_1 = [phi; theta; psi];


theta = pi - theta;
sign_cos = sign(cos(theta));
psi = atan2(R(3, 2) * sign_cos, R(3, 3) * sign_cos);
phi = atan2(R(2, 1) * sign_cos, R(1, 1) * sign_cos);
sol_2 = [phi; theta; psi];

end