function axesdata = update_axes_airplane(axesdata, current_frame)
% derived from update_axes_2_patch()
% represents coordinate system using airplanes

ntrackable  = axesdata.ntrackable;



% initialize while loop
f = current_frame;
    
for i = 1:ntrackable
  
    % update position trajectory to display
    axesdata.hpos_axes{i}.XData = axesdata.pos{i}(1, 1:f);
    axesdata.hpos_axes{i}.YData = axesdata.pos{i}(2, 1:f);
    axesdata.hpos_axes{i}.ZData = axesdata.pos{i}(3, 1:f);
    
    % load the 6DOF data
    A0 = axesdata.A0{i}{f};

    % get current position
    x = A0(1, 4);
    y = A0(2, 4);
    z = A0(3, 4);
    
    % extract rotation 
    R = A0(1:3, 1:3);
    vertices    = axesdata.airplane{i}.Vertices;
    vertices = (R * (vertices'))';
    
    % translation
    d = [x, y, z];
    d_matrix = repmat(d, 23, 1);
    vertices = vertices + d_matrix;
    
    
    axesdata.hpatch_axes{i}.Vertices = vertices;
    
    % update text
    axesdata.htext_axes{i}.Position = [x, y, z];
    
end % for i = 1:ntrackable

drawnow;


   



